apiVersion: v1
kind: ConfigMap
metadata:
  name: nginx-config-default
  namespace: space1
data:
  defaul.conf: |
    server {
      listen              443 ssl;
      server_name         194-195-247-239.ip.linodeusercontent.com;
      ssl on;
      ssl_certificate     /etc/nginx/ssl/certificate.crt;
      ssl_certificate_key /etc/nginx/ssl/certificate.key;
      ssl_protocols       TLSv1 TLSv1.1 TLSv1.2;
      ssl_ciphers         HIGH:!aNULL:!MD5;
      location / {
                  proxy_set_header Host $host;
                  proxy_set_header X-Real-IP $remote_addr;
                  proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
                  proxy_set_header X-Forwarded-Proto $scheme;

                  proxy_pass http://frontend;
          # root /usr/share/nginx/html;
          }
    }
